1. Client
Freedom Pay
  • Overview
  • Gateway API
    • Overview
    • Sync API
      • Overview
      • Purchase
        • Overview
        • Create payment
        • Any amount
        • Card
        • 3DSecure
        • Recurrent
        • Cancel
        • Clearing
        • Refund
        • Status
      • Payout
        • Overview
        • Card
        • IBAN
        • Balance
        • Status
      • Transfer
        • Overview
        • Card
        • 3DSecure
        • Rates
        • Status
      • Card
        • Overview
        • Add
        • 3DSecure
        • List
        • Remove
        • Status
      • Token
        • Overview
        • Token Pay
        • Apple Pay
        • Google Pay
        • Token Payout
        • Status
    • Async API
      • Overview
      • create
        • create payment
      • read
        • read payment
        • read request
      • edit
        • edit payment.refund
        • edit payment.reverse
        • edit payment.clearing
  • Merchant API
    • Overview
    • Purchase
      • Overview
      • Checkout
      • Card token
        • Overview
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment (with CVC)
        • Confirm payment (with CVC)
        • Create payment
        • Confirm payment
      • Create payment
      • Any amount
      • Reccuring payment
      • Cancel payment
      • Clearing
      • Refund payment
      • Status
    • Payout
      • Overview
      • Card token
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment
      • Create payment
      • IBAN
      • Balance status
      • Status
    • Mobile balance
      • Overview
      • Init
      • Pay
      • Approve
      • Resend code
      • Status
    • Invoice
      • Create invoice
      • Info
      • Refund
      • Status
      • Cancel
    • SDK
      • JS SDK
      • Merchant SDK
        • Google Pay
        • Android
        • IOS
    • CMS
      • Overview
      • Get Merchant ID and key
      • WordPress
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
        • Update
      • Tilda
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • InSales
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Ecwid
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Bitrix
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • PrestaShop
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • OpenCart
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
    • Redirect back
      POST
    • Result notify
      POST
    • Payout notify
      POST
    • Check request
      POST
  • Card API
    • Overview
    • Client
      • Card link
        POST
      • Сards' list
        POST
      • Create client
        POST
      • Client info
        POST
      • Update client
        POST
      • Verify client
        POST
    • Transactions
      • Create transaction
      • Clearing transaction
      • Refund transaction
      • Transaction info
      • Transaction status (depricated)
      • Transaction status
    • Card
      • Activate card
      • Block card
      • Balance
      • Card info
      • Card update
      • Card tokenization
      • Close card
      • Find card
      • Issue card
      • Issue plastic card
      • Operations' list
      • Reset PIN counter
      • Statement extended
      • Set PIN
      • Secret data
      • Unblock card
    • Limits
      • Limits list
      • Set limits
    • Bulk issue
      POST
    • Cardholder validation
      POST
    • Request' status
      POST
  • Partner API
    • Rates
      • Overview
      • Rates
    • Products
      • Overview
      • Dictionaries
      • Add client with product
      • Request status
      • Create terminal
    • E-Money
      • Overview
      • Add
      • Owner identification
      • Info
      • Close
      • Block
      • Balance
      • Statement
      • Request Status
    • Device ID
      • Android SDK
      • iOS SDK
    • Implement SuperApp
      • Overview
      • Pay
      • Refund
    • Account
      • Overview
      • Create payment
      • Payment status
      • Batch statuses
      • Statement
      • Statement status
      • Balance
      • Balance status
    • Invoices
      • Info
  1. Client

Create client

POST
https://api.freedompay.kz/v5/card-api/client/add_v2
This method is used to create a client in the Freedom Processing system.
Version v2 extends the base functionality of client creation by introducing additional identification fields, enhanced residency formats, device metadata, and support for asynchronous status handling through callback notifications.
Upon successful execution, the system creates a new client profile and assigns a unique client_id. This identifier is used in further operations such as issuing cards, updating client information, and linking the client to a specific card

Request

Body Params application/json

Example
{
    "request_id": "019ab688-bef2-72c4-6a29-d0e08be76d95",
    "product_id": 5000,
    "branch_id": "000000",
    "client": {
        "device_id": "77018821300",
        "type": 1,
        "citizenship": "KAZ",
        "fn_id": "Ivan",
        "ln_id": "Ivanov",
        "idn": "790315300100"
    }
}

Responses

🟢200Success
application/json
Body

Example
{
    "status": "ok",
    "request_status": "success",
    "dt": "2025-01-01T00:01:01+00:30"
}
Previous
Сards' list
Next
Client info